/*
 * Class EV_FIGURE_MATH
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_402 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_402 [] = {0xFF01,1551,401,0xFFFF};
static const EIF_TYPE_INDEX egt_2_402 [] = {0xFF01,401,0xFFFF};
static const EIF_TYPE_INDEX egt_3_402 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_402 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_402 [] = {0xFF01,401,0xFFFF};
static const EIF_TYPE_INDEX egt_6_402 [] = {0xFF01,401,0xFFFF};
static const EIF_TYPE_INDEX egt_7_402 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_402 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_402 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_402 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_402 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_402 [] = {0xFF01,401,0xFFFF};


static const struct desc_info desc_402[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_402), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_402), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_402), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_402), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_402), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_402), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_402), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_402), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_402), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_402), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_402), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_402), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0323 /*401*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_402), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6966, 0xFFFFFFFF},
};
void Init402(void)
{
	IDSC(desc_402, 0, 401);
	IDSC(desc_402 + 1, 1, 401);
	IDSC(desc_402 + 32, 902, 401);
	IDSC(desc_402 + 37, 371, 401);
	IDSC(desc_402 + 51, 646, 401);
}


#ifdef __cplusplus
}
#endif
